mysql-server should not stop mysql service

Bug #988325 reported by Marc Gariépy on 2012-04-25
24
This bug affects 5 people
Affects Status Importance Assigned to Milestone
mysql-dfsg-5.0 (Ubuntu)
Undecided
Marc Deslauriers

Bug Description

On hardy when there is an update that get installed by unattended-upgrade the service is stopped by /var/lib/dpkg/info/mysql-server.preinst

The file should be removed from that package since the package is only a metapackage that depend on mysql-server-5.0.

would it make sense to depend on a specific version of mysql-server-5.0 ?

thanks

root@server:~# dpkg -l|grep mysql
ii libdbd-mysql-perl 4.005-1 A Perl5 database interface to the MySQL data
ii libmysqlclient15off 5.0.95-0ubuntu1 MySQL database client library
ii munin-plugins-mysql 0.2-1 network-wide graphing framework mysql plugin
ii mysql-client-5.0 5.0.95-0ubuntu1 MySQL database client binaries
ii mysql-common 5.0.95-0ubuntu1 MySQL database common files
ii mysql-server 5.0.96-0ubuntu1 MySQL database server (meta package dependin
ii mysql-server-5.0 5.0.95-0ubuntu1 MySQL database server binaries
ii php5-mysql 5.2.4-2ubuntu5.23 MySQL module for php5

root@server:~# apt-get -s upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
   libmysqlclient15off (5.0.95-0ubuntu1 => 5.0.96-0ubuntu1)
   mysql-client-5.0 (5.0.95-0ubuntu1 => 5.0.96-0ubuntu1)
   mysql-common (5.0.95-0ubuntu1 => 5.0.96-0ubuntu1)
   mysql-server-5.0 (5.0.95-0ubuntu1 => 5.0.96-0ubuntu1)
4 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Inst mysql-common [5.0.95-0ubuntu1] (5.0.96-0ubuntu1 Ubuntu:8.04/hardy-updates)
Inst libmysqlclient15off [5.0.95-0ubuntu1] (5.0.96-0ubuntu1 Ubuntu:8.04/hardy-updates)
Inst mysql-client-5.0 [5.0.95-0ubuntu1] (5.0.96-0ubuntu1 Ubuntu:8.04/hardy-updates)
Conf mysql-common (5.0.96-0ubuntu1 Ubuntu:8.04/hardy-updates)
Inst mysql-server-5.0 [5.0.95-0ubuntu1] (5.0.96-0ubuntu1 Ubuntu:8.04/hardy-updates)
Conf libmysqlclient15off (5.0.96-0ubuntu1 Ubuntu:8.04/hardy-updates)
Conf mysql-client-5.0 (5.0.96-0ubuntu1 Ubuntu:8.04/hardy-updates)
Conf mysql-server-5.0 (5.0.96-0ubuntu1 Ubuntu:8.04/hardy-updates)

CVE References

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mysql-dfsg-5.0 (Ubuntu):
status: New → Confirmed
Changed in mysql-dfsg-5.0 (Ubuntu):
assignee: nobody → Marc Deslauriers (mdeslaur)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-dfsg-5.0 - 5.0.96-0ubuntu3

---------------
mysql-dfsg-5.0 (5.0.96-0ubuntu3) hardy-security; urgency=low

  * SECURITY UPDATE: authentication bypass (LP: #1011371)
    - debian/patches/90_CVE-2012-2122.patch: fix improper type conversion
      in sql/password.c.
    - CVE-2012-2122
  * debian/mysql-server.preinst: Removed to prevent service from remaining
    stopped after getting updated. The upgrade logic is still present in
    mysql-common.preinst. (LP: #988325)
 -- Marc Deslauriers <email address hidden> Mon, 11 Jun 2012 09:04:56 -0400

Changed in mysql-dfsg-5.0 (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers